using MultiLayout.UiModule;
using CommunityToolkit.Mvvm.Input;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Navigation;
using FLY.Thick.Base.UI;
using Unity;
using MultiLayout;

namespace FLY.Thick.Base.UI.CustomMenu
{
    public class PwMenu : IMenu
    {
        public string Title => "密码管理";

        public Brush Brush { get; set; }




        IUnityContainer container;
        public PwMenu(IUnityContainer container)
        {
            this.container = container;

            Brush = new ImageBrush()
            {
                ImageSource = new ImageSourceConverter().ConvertFromString("pack://application:,,,/FLY.Thick.Base.UI;component/Images/timg.jpg") as ImageSource,
                Stretch = Stretch.UniformToFill
            };

        }

        public void OnClick() 
        {
            if (!WdPassword.Authorize("PwManager"))
                return;

            var p = this.container.Resolve<PgPwManager>();
            FlyLayoutManager.NavigationService.Navigate(p);
            
        }
    }
}
